Subject: Re: bug#66457: 30.0.50; shr sometimes displays the same image twice

From: Katsumi Yamaoka <[email-masked]>
Date: Thu, 26 Oct 2023 08:58:04 +0900

On Wed, 25 Oct 2023 16:47:12 +0300, Eli Zaretskii wrote:
> Ping!

[...]

>>> If an alt text, that has an `image-displayer' text property, is
>>> filled by `shr-fill-line' by way of `shr-fill-lines', the image
>>> is displayed for two or more times.  It is because the
>>> `image-displayer' text property is divided by the newline(s).

>> AFAIU, the alt text is text that is displayed instead of an image,
>> when the image cannot or should not be displayed for some reason.  If
>> my understanding is correct, then why do you expect the alt text to
>> take only one line on display?

Well, I don't think so, i.e., the alt text may be multiple lines.
However, the author wrote shr-fill-line so to assume it to take
a single line, or he only might have overlooked it.